import mysql.simplesql as sql

tables = ['aspectscheme']


def insertAspectScheme(aspectScheme):
    yield sql.Insert(table='aspectscheme', values={
        'aspectschemecode': aspectScheme.get('aspectschemecode', None),
        'aspectschemename': aspectScheme.get('aspectschemename', None),
    })


def deleteAspectScheme(aspectScheme):
    yield sql.Delete(table='aspectscheme',
            whereFields=['aspectschemecode'],
            whereValues=[aspectScheme.get('aspectschemecode', None)])


def clearAspectScheme():
    yield sql.DeleteAll(table='aspectscheme')


def deleteAspectSchemeByCode(code):
    yield sql.Delete(table='aspectscheme', whereFields=['aspectschemecode'], whereValues=[code])
